Summary:	Graphical file and directories comparator and merge tool
Name:		xxdiff
Version:	4.0.1
Release:	10%{?dist}
License:	GPLv2+
URL:		http://furius.ca/xxdiff/
# The orginal tar can be found at https://bitbucket.org/blais/xxdiff/get/default.tar.bz2
# We remove the screenshots directory since the images in there can not be redistributed without permission.
Source0:	xxdiff-%{version}.tar.bz2
Patch0:		change_python2.patch
BuildRequires:	qt-devel, bison, flex


%description
xxdiff is a graphical browser for viewing the differences between two or three
files, or between two directories, and can be used to produce a merged version.

%package tools
Summary: Tools for xxdiff
URL: http://furius.ca/xxdiff/doc/xxdiff-scripts.html
Requires:	xxdiff
BuildRequires:	python2-devel

%description tools
Tools for xxdiff

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="${CFLAGS:-$RPM_OPT_FLAGS}"
CXXFLAGS="${CFLAGS:-$RPM_OPT_FLAGS}"
export CFLAGS
export CXXFLAGS

%{__make} QMAKE=qmake-qt4 -C src -f Makefile.bootstrap
%{__sed} -i -e "s/^CFLAGS\s*=/CFLAGS +=/g" src/Makefile
%{__sed} -i -e "s/^CXXFLAGS\s*=/CXXFLAGS +=/g" src/Makefile
%{__make} -C src %{?_smp_mflags}
%py2_build

find ./build  -name \*.py  -print  -exec %{__sed} -i "1{/^#\!/d}" {} \;

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 bin/xxdiff %{buildroot}%{_bindir}
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot} --install-lib=%{python2_sitelib}

%files
%doc doc index.html
%doc CHANGES COPYING README TODO VERSION
%{_bindir}/xxdiff

%files tools
%doc doc index.html
%{python2_sitelib}/*
%{_bindir}/svn-foreign
%{_bindir}/xx-cond-replace
%{_bindir}/xx-cvs-diff
%{_bindir}/xx-cvs-revcmp
%{_bindir}/xx-diff-proxy
%{_bindir}/xx-encrypted
%{_bindir}/xx-filter
%{_bindir}/xx-find-grep-sed
%{_bindir}/xx-hg-merge
%{_bindir}/xx-match
%{_bindir}/xx-p4-unmerge
%{_bindir}/xx-pyline
%{_bindir}/xx-rename
%{_bindir}/xx-sql-schemas
%{_bindir}/xx-svn-diff
%{_bindir}/xx-svn-resolve
%{_bindir}/xx-svn-review

%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 4.0.1-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0b1.20150712hg30158cd-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0b1.20150712hg30158cd-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Stefan Becker <chemobejk@gmail.com> - 4.0b1.20150712hg30158cd-1
- Update to 4.0b1 hg snapshot 30158cd

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.2-24
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 13 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 3.2-22
- Fix FTBFS with bison-3.x (#1107365)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 22 2012 Paul Howarth <paul@city-fan.org> - 3.2-17
- Fix FTBFS with gcc 4.7

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-16
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Russell Cattelan <cattelan@xfs.org> - 3.2-13
- Change BuildRequires from qt-devel to qt3-devel

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.2-9
- Rebuild for Python 2.6

* Mon Jun  9 2008 Russell Cattelan <cattelan@thebarn.com> - 3.2-8
- Create a new tar ball without the restricted copyrighted screen shots

* Thu May 29 2008 Russell Cattelan <cattelan@thebarn.com> - 3.2-7
- Remove desktop file, since xxdiff need files at least 2 files specified on
- the cmd line.
- It is confusing to have a menu option that does not work without
- dragging and dropping at least two files.

* Tue May 27 2008 Russell Cattelan <cattelan@thebarn.com> - 3.2-6
- Add desktop file

* Tue May  6 2008 Russell Cattelan <cattelan@thebarn.com> - 3.2-5
- Remove python from the main package Requires.
- Make sure the build picks rpm defined CFLAGS

* Mon Apr 28  2008 Russell Cattelan <cattelan@thebarn.com> 3.2-4
- Split out script into tools package
- Minor changes to build process and python lib handling

* Sun Mar 30  2008 Russell Cattelan <cattelan@thebarn.com> 3.2-3
- Minor fixups based on review comments

* Sat Mar 29  2008 Russell Cattelan <cattelan@thebarn.com> 3.2-2
- Added helper utilites	

* Sat Mar  8  2008 Russell Cattelan <cattelan@thebarn.com> 3.2-1
- Initial Revision
